hmmer (3.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: hmmer-examples contains arch-specific test programs, mark
    as "Architecture: any".

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Sep 2023 10:08:46 +0200

hmmer (3.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * refresh patches
  * d/control: enable building on arm64.
  * d/tests/control: tests needs python3

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Sep 2023 18:33:29 +0200

hmmer (3.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: fix version matching
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debian/control: mark the '-doc' package as Multi-Arch: foreign
  * Refresh the patches.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/upstream/metadata: document their GitHub repo

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Dec 2020 11:50:25 +0100

hmmer (3.3+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Restore config.guess and config.sub so that dh_update_autotools_config can
    update them. This fixes the FTBFS.
  * Added python3 build-dep so that the checks run (and the build doesn't
    fail)
  * debian/patches/spelling: fix a typo
  * debian/patches/hardenng: finished CPPFLAGS propogation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 04 Dec 2019 11:26:08 +0100

hmmer (3.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 Nov 2019 19:14:46 +0100

hmmer (3.2.1+dfsg-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * HMMER3 has long required SSE or Altivec/VMX instruction support and the
    3.2.1 release enforces this, so we will follow upstreams lead:
    debian/control: Architecture: any-amd64 any-i386 powerpc ppc64 x32
  * debhelper-compat 12
  * Enable a verbose build log
  * Fixed the buildsystem to show commands executed and to build in parallel
  * Using the above, fixed the buildsystem to enable hardening
  * Fixed some spelling errors; thanks lintian!
  * Made autopkgtests more verbose
    Closes: #941805

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * DEP3 for skip check for threads

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 08 Oct 2019 10:53:29 +0200

hmmer (3.2.1+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Hervé Ménager ]
  * correct HMMER ref

  [ Andrius Merkys ]
  * Detecting failed autopkgtest.

  [ Dylan Aïssi ]
  * Re-enable builds for any architectures because upstream has fixed the build
     system to check requirements before to try to build. Unsupported architectures
     will fail gracefully with an explicite message.

  [ Steffen Moeller ]
  * Cleaning autogenerated Makefiles
  * Added ref to conda
  * Standards-Version: 4.4.0
  * Introducing Link-Time-Optimization

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 13 Mar 2019 11:06:20 -0400

hmmer (3.2.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Adapt doc-base control file to new location of doc
  * d/rules:
     - Respect DEB_BUILD_OPTIONS in override_dh_auto_test
     - Do not parse d/changelog
     - Fix permission of manpage

  [ Dylan Aïssi ]
  * Fix OMICtools ID and replace RRID by SciCrunch

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 08:48:36 +0200

hmmer (3.1b2+dfsg-5) unstable; urgency=medium

  * New homepage
  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 15:35:12 +0100

hmmer (3.1b2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Ensure deletion of temporary files named by PID in
      all example directories.
    - Remove build directory from CFLAGS in installed Makefiles.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 27 Aug 2016 09:47:45 +0000

hmmer (3.1b2+dfsg-2) unstable; urgency=medium

  * Reproducible build (thanks for the patch to Chris Lamb)
    Closes: #830286

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jul 2016 23:16:42 +0200

hmmer (3.1b2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Afif Elghraoui ]
  * Set VCS URLs to point to git repository
  * Bump Standards-Version to 3.9.8

  [ Canberk Koç ]
  * Autopkgtests added
  * debian/rules:
    - examples added
  * License issue solved

  [ Andreas Tille ]
  * Clean up Uploaders from inactive maintainers
  * Better hardening
  * Remove useless .dropbox.attr files from package
  * Create a separate examples package
  * Seems old perl4 scripts are used in examples - add according dependencies
  * Fix permissions
  * Drop libdivsufsort in favour of using the Debian packaged version

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 3 Jul 2016 01:04:33 +0300

hmmer (3.1b2-2) unstable; urgency=medium

  * debian/control: Fix contact address
  * restrict architectures to Intel architectures
    Closes: #806675

 -- Andreas Tille <tille@debian.org>  Wed, 02 Dec 2015 08:21:42 +0100

hmmer (3.1b2-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 22:45:41 +0200

hmmer (3.1b1-3) unstable; urgency=low

  * Apply patch from Adam Conrad <adconrad@debian.org> to build on
    powerpc (thanks to Adam for the patch)
    Closes: #728650
  * DEP3 patch headers
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2013 17:24:47 +0100

hmmer (3.1b1-2) unstable; urgency=low

  [ Charles Plessy ]
  * Removed myself from the Uploaders.

  [ Andreas Tille ]
  * debian/rules: Use --with autotools_dev
    Closes: #727386

 -- Andreas Tille <tille@debian.org>  Thu, 24 Oct 2013 08:37:52 +0200

hmmer (3.1b1-1) unstable; urgency=low

  * Upload changes from BioLinux to Debian
  * debian/control:
     - cme fix dpkg-control
     - provide real package (evince) for pdf-viewer
     - debhelper 9
     - anonscm for Vcs fields

 -- Andreas Tille <tille@debian.org>  Thu, 15 Aug 2013 20:20:03 +0200

hmmer (3.1b1-0biolinux1) precise; urgency=low

  * New upstream
  * Switch to DH in rules as CDBS does my nut in
  * Simplify hmmer.install and kill hmmer.manpages
  * Added binaries:
     alimask
     hmmc2
     hmmlogo
     hmmpgmd
     nhmmer
     nhmmscan
  * Modify watchfile to see new version
  * Avoid compressing all the tutorial data
  * make distclean was failing :- fixed with patch

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 15 Aug 2013 16:34:31 +0100

hmmer (3.0-4) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream: Took over additional citation from tasks file
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
  * debhelper 8 (control + compat)
  * debian/docs: removed because empty
  * debian/copyright:
     - Rewritten to match DEP5 (verified using `cme fix dpkg-copyright`)
     - Added Files: easel:* section
  * debian/rules: Fixed clean target by cleaning up easel/testsuite dir

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 09:53:16 +0200

hmmer (3.0-3) unstable; urgency=low

  * Fix "FTBFS (powerpc): altivec and cast errors": remove special
    casing for powerpc, so that it gets built with the dummy vector
    implementation like most other architectures - contributed by
    Gregor Herrrmann (Closes: #594860).

 -- Steffen Moeller <moeller@debian.org>  Mon, 25 Oct 2010 00:08:19 +0200

hmmer (3.0-2) unstable; urgency=low

  * Install binaries to /usr/bin instead of /bin
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2010 07:53:17 +0200

hmmer (3.0-1) unstable; urgency=low

  * The 3.0 release should now substitute the outdated 2.3.x one.
  * The hmmer-pvm package is no longer available.

 -- Eric Talevich <etal@uga.edu>  Thu, 08 Jul 2010 14:17:59 -0400

hmmer (2.3.2-6) UNRELEASED; urgency=low

  * Enabled upstream checks in debian/rules.
  * Documented how the package is tested in debian/README.Debian
  * Switched Debhelper to mode 7 (debian/compat, debian/control).
  * Gathered some metadata about upstream in debian/upstream-metadata.yaml.
  * Checked conformance with Policy 3.8.3 and incremented Standards-Version
    in debian/control to reflect it.

 -- Charles Plessy <plessy@debian.org>  Wed, 16 Dec 2009 13:21:02 +0900

hmmer (2.3.2-5) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * debian/control:
    - Added myself as Uploader.
    - Increased priority to `optional'
    - Standards-Version: 3.8.0 (no changes needed)

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Jul 2008 23:49:23 +0900

hmmer (2.3.2-4) unstable; urgency=low

  * Moved Homepage tag from long description to tags
  * Removed XB-Tag because it is actually not used by debtags
  * Added myself as Uploader
  * Standards-Version: 3.7.3 (no changes needed)
  * Added Vcs-Browser, Vcs-Svn
  * DM-Upload-Allowed: yes

 -- Andreas Tille <tille@debian.org>  Tue, 26 Feb 2008 20:40:17 +0100

hmmer (2.3.2-3) unstable; urgency=low

  * Updated hmmer homepage (Closes: #435396). Thanks to Charles Plessy;
  * Updated watch file;
  * Moved Matthew Vernon to Uploaders and set Maintainer to Debian-Med
    Packaging Team <debian-med-packaging@lists.alioth.debian.org>;
  * Downgraded biosquid to recommends.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 31 Jul 2007 15:15:23 -0300

hmmer (2.3.2-2) unstable; urgency=medium

  * Changed my email address;
  * Changing priority to extra, instead optional (hmmer has a dependency on
    pvm and libpmv3 -- Policy 2.5);
  * Added tags on debian/control;
  * Medium urgency to get the package with the correct priority on Etch.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed,  6 Dec 2006 16:27:06 -0200

hmmer (2.3.2-1) unstable; urgency=low

  * New upstream version (Closes: #261293);
  * Documentation is split in a new package (Closes: #233374, #175481);
  * "getseq" is not shipped anymore with hmmer, since it was renamed to
    "sfetch" (Closes: #197658);
  * New package hmmer-pvm, with PVM enabled binaries;
  * The package is again non-Debian native;
  * Using CDBS;
  * Using debhelper compatibility level 5;
  * Updated Standards-Version to 3.7.2;
  * Added doc-base and watch file;
  * Updated copyright file;
  * Added me as co-maintainer.
    From Matthew Vernon:
    "If you're keen to take hmmer, take it; I'm writing up my thesis at the
    moment, so my time for Debian is somewhat limited; I took on hmmer
    because it was orphaned at the time, and I wanted it to stay in the
    distribution."

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Tue, 15 Aug 2006 17:30:32 -0300

hmmer (2.1.4) unstable; urgency=low

  * Change section to science

 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 02:51:17 +0100

hmmer (2.1.3) unstable; urgency=low

  * Move from /usr/man to /usr/share/man (closes: #91171)
  * Move from /usr/doc to /usr/share/doc (closes: #91494)

 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 16:12:21 +0100

hmmer (2.1.2) unstable; urgency=low

  * New maintainer

 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Dec 1999 16:30:35 +0000

hmmer (2.1.1-1) unstable; urgency=low

  * New upstream version.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 30 Mar 1999 16:50:05 -0700

hmmer (2.0-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 13 Aug 1998 21:48:53 -0700
